# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PExecMode

Packages that use ParForProgramBlock.PExecMode
Package
Description
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of ParForProgramBlock.PExecMode in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return ParForProgramBlock.PExecMode
Modifier and Type
Method
Description
`ParForProgramBlock.PExecMode`
ParForProgramBlock.`getExecMode()`
`static ParForProgramBlock.PExecMode`
ParForProgramBlock.PExecMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PExecMode[]`
ParForProgramBlock.PExecMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram with parameters of type ParForProgramBlock.PExecMode
Modifier and Type
Method
Description
`void`
ParForProgramBlock.`setExecMode(ParForProgramBlock.PExecMode mode)`

## Uses of ParForProgramBlock.PExecMode in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return ParForProgramBlock.PExecMode
Modifier and Type
Method
Description
`ParForProgramBlock.PExecMode`
OptNode.ExecType.`toParForExecMode()`